Bug 34538 - На Server 8.2-x86-64, обновленном до Sisyphus, не инициализируется кластер
: На Server 8.2-x86-64, обновленном до Sisyphus, не инициализируется кластер
Status: NEW
: Sisyphus
(All bugs in Sisyphus/crmsh)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2018-02-14 15:57 by
Modified: 2018-02-14 21:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2018-02-14 15:57:46
1) Две машины с Server 8.2-x86-64 обновил до Sysyphus.
2) Настроил взаимный беспарольный root-доступ для первоначальной инициализации
кластера.
3) Обеспечил взаимно однозначное прямое и обратное преобразование имён для всех
узлов кластера, используя запись в локальном файле /etc/hosts на каждом узле.
4) На обоих узлах(smb01 и smb02) установил pacemaker и утилиту crmsh, после
чего на одном из узлов(smb01) инициализирую кластер и выдает ряд ошибок:
# crm cluster init nodes=smb01,smb02
INFO: Initialize a new cluster
INFO: Nodes: smb01, smb02
OK: Configure SSH
OK: Check state of nodes
OK: Verify parameters
Install packages...ERROR: [smb02]: Remote error: Exited with error code 1,
Error output: Traceback (most recent call last):
  File "./configure.py", line 128, in <module>
    run_install()
  File "./configure.py", line 45, in run_install
    crm_init.install_packages(packages)
  File "/tmp/.private/root/crm-tmp-5a8307465e2297182e50/crm_init.py", line 207,
in install_packages
    crm_script.exit_fail("Failed to install %s: %s" % (pkg, e))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 9-14:
ordinal not in range(128)
ERROR: [smb01]: Error (1): Traceback (most recent call last):
  File "./configure.py", line 128, in <module>
    run_install()
  File "./configure.py", line 45, in run_install
    crm_init.install_packages(packages)
  File "/tmp/.private/root/crm-tmp-5a8307465e2297182e50/crm_init.py", line 207,
in install_packages
    crm_script.exit_fail("Failed to install %s: %s" % (pkg, e))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 9-14:
ordinal not in range(128)
ERROR: Install packages (rc=False)
------- Comment #1 From 2018-02-14 21:57:50 -------
не пользуйтесь crmsh, настраивайте вручную.